/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {PermissionRequest} from "./permissionRequest";

export class PermissionsRequest {
    public sub: string;

    public permissions: PermissionRequest[];

    /**
     * Creates a PermissionsRequest.
     *
     * @param {string} sub
     * @param {PermissionRequest} permissions
     */
    constructor(sub: string, permissions: PermissionRequest[]) {
        this.sub = sub;
        this.permissions = permissions;
    }
}
